All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
mdivide_left_tri.hpp File Reference
`#include <boost/math/tools/promotion.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/promote_common.hpp>`
`#include <stan/math/prim/mat/err/check_multiplicable.hpp>`
`#include <stan/math/prim/mat/err/check_square.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<int TriView, typename T1 , typename T2 , int R1, int C1, int R2, int C2>
Eigen::Matrix< typename boost::math::tools::promote_args < T1, T2 >::type, R1, C2 > | stan::math::mdivide_left_tri (const Eigen::Matrix< T1, R1, C1 > &A, const Eigen::Matrix< T2, R2, C2 > &b)
| Returns the solution of the system Ax=b when A is triangular. More...
template<int TriView, typename T , int R1, int C1>
Eigen::Matrix< T, R1, C1 > | stan::math::mdivide_left_tri (const Eigen::Matrix< T, R1, C1 > &A)
| Returns the solution of the system Ax=b when A is triangular and b=I. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.